/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from observer.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __OBSERVER_STUB__
#define __OBSERVER_STUB__

#include <dcopstub.h>
#include <kio/renamedlg.h>
#include <kio/skipdlg.h>
#include <kio/job.h>
#include <kio/authinfo.h>
#include <kio/global.h>
#include <qintdict.h>
#include <dcopobject.h>
#include <qobject.h>


class KIO_EXPORT Observer_stub : virtual public DCOPStub
{
public:
    Observer_stub( const QCString& app, const QCString& id );
    Observer_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit Observer_stub( const DCOPRef& ref );
    virtual void killJob( int progressId );
    virtual KIO::MetaData metadata( int progressId );
protected:
    Observer_stub() : DCOPStub( never_use ) {}
};


#endif
